Advertising

Sparky 2020.09

The September snapshot of Sparky 2020.09 of the (semi-)rolling line is out. It is based on the Debian testing “Bullseye”.

This release provides package updates and fixed an issue of the Sparky Advanced Installer, which generated broken fstab. There is no problem if you have installed Sparky 2020.08 using Calamares (called Sparky Installer).

Changes:
• packages updated from Debian testing repos as of August 31, 2020
• Linux kernel 5.7.17 (5.8.5 & 5.9-rc3 in Sparky unstable repos)
• Firefox 80
• LibreOffice 7.0.1-rc1
• fixed the Advanced Installer issue; thanks to lami07

System re-installation is not required, simply keep Sparky up to date.

The Special Edition iso images have been already updated too.

New rolling iso images can be downloaded from the download/rolling page.

 

Sparky 2020.08

The August snapshot of Sparky 2020.08 of the (semi-)rolling line is out.
It is based on the Debian testing “Bullseye”.

Changes:
• packages updated from Debian testing repos as of August 14, 2020
• Linux kernel 5.7.10 (5.8.1 & 5.9-rc1 in Sparky unstable repos)
• added Memory Test and Hardware Detection to the live config
• installed qt5ct + added qt5ct config to non Qt based desktops: Openbox, MATE & Xfce
• GCC 9 removed; the default compiler is GCC 10 now
• LXQt 0.14.1
• MATE 1.24.1
• Xfce 4.14
• Firefox 79.0
• Thunderbird 68.11.0
• LibreOffice 7.0.0-rc2 (7.0.1~rc1 in Debian testing repos now)
• VLC 3.0.11
• Calamares 3.2.24
• small improvements

System re-installation is not required, make full system upgrade via Sparky Upgrade gui or a text based tool:

sparky-upgrade

or via apt:

sudo apt update
sudo apt full-upgrade

New rolling iso images can be downloaded from the download/rolling page.

 

Sparky 2020.06

The June snapshot of Sparky 2020.06 of the (semi-)rolling line is out.
It is based on the Debian testing “Bullseye”.

Changes:
• system upgrade from Debian testing repos as of June 5, 2020
• Linux kernel 5.6.14 (5.7.0 in Sparky unstable repos)
• Firefox 77.0
• Thunderbird 68.8.1
• LibreOffice 6.4.4.2
• debi-tool’ replaced by ‘gdebi’
• added ‘spterm’ (Sparky Terminal) to be used by Sparky tools
• Otter Browser replaced by Epiphany Browser (MinimalGUI)
• added RadioStation – a fork of RadioTray-Lite (and Radiotray)
• added Openbox Noir to the desktop list to be installed as a choice (via MinimalGUI & MinimalCLI and APTus too)
• added disk autopartitioning, encrypting and lvm support to the Advanced Installer DEV (still experimental)
• Calamares updated up to 3.2.24; changed password strength to a minimum number of digits as possible in Calamares, as requested a few times by our users (can be used 1 digit, but I recommend to use strong password); thanks to lami07
• added lxappearance to MinimalGUI iso (Openbox)

System re-installation is not required, make full system upgrade via Sparky Upgrade gui or a text based tool:

sparky-upgrade

or via apt:

sudo apt update
sudo apt full-upgrade

New rolling iso images can be downloaded from the download/rolling page.

 

Sparky 2020.05

The May snapshot of Sparky 2020.05 of the (semi-)rolling line is out.
It is based on the Debian testing “Bullseye”.

Changes:
• upgrade from Debian testing repos as of May 5, 2020
• Linux kernel 5.6.7 (5.6.10 & 5.7-rc4 in Sparky unstable repos)
• Calamares 3.2.23
• added additional support of Sparky installation on UEFI machines with Secure Boot: the live system should be launched with Secure Boot off as before; but after installation the Secure Boot can be turned on; both installers: Calamares and Sparky’s Advanced provides support of such installation
• disabled package list updating, during installing Sparky via Calamares; even you install Sparky with active internet connection, the Debian or Sparky server can be temporary off, so it could stop the installation
• Openbox: replaced ‘obmenu’ by ‘jgmenu’: https://sparkylinux.org/jgmenu/
• added new packages to all iso images: ‘pulseaudio-module-bluetooth’ and ‘fuse3’ insead of ‘fuse’; thanks to Richard
• Xfce: fixed an issue of not displaying a wallpaper on the desktop, and not visible Sparky wallpapers at Desktop Settings; thanks to lami07
• replaced ‘ktsuss’ by ‘sparky-su’ which is used by ‘sparky-aptus-upgrade-checker’: https://sparkylinux.org/sparky-su-0-1-11/
• Xfce: enabled fonts anti-aliasing with slight hinting
• LibreOffice 6.4.1.2
• Firefox 75.0
• Thunderbird 68.7.0
• Python 3.8

System re-installation is not required, make full system upgrade via Sparky Upgrade gui or a text based tool:

sparky-upgrade

or via apt:

sudo apt update
sudo apt full-upgrade

New rolling iso images can be downloaded from the download/rolling page.

Thanks go to:
• Richard and MoroS for testing Sparky dev iso images on real machines with Secure Boot
• lami07 for helping with the wallpaper issue in Xfce

 

Sparky 2020.03.1

New iso images of Sparky 2020.03.1 of the (semi-)rolling line have been generated.

This is a minor update of the live/install media which provides:

• fixed issue which doesn’t let you boot Sparky 2020.03 copied to an USB stick
• Sparky repository changed to the named “potolo” (“testing” works as before)
• all packages updated from Debian testing repos as of March 27, 2020

No reinstallation is required, simply make full system upgrade.

New rolling iso images can be downloaded from the download/rolling page.

Sparky 2020.03

The March 2020 snapshot of Sparky 2020.03 “Po Tolo” of the (semi-)rolling line is out. It is based on the Debian testing “Bullseye”.

Changes:
– system upgraded from Debian testing repos as of March 7, 2020
– Calamares installer 3.2.20
– Linux kernel 5.4.19 as default (5.5.8 & 5.6-rc4 in Sparky unstable repos)
– changed qCamera webcam application to Cheese
– changed Vokoscreen to Vokoscreen-NG
– removed packages: radiotray, imagemagic
– GCC 10 is preinstalled, alongside to GCC 9 (default)
– LibreOffice 6.4.1.2
– Firefox 73.0.1
– Thunderbird 68.5.0

System reinstallation is not required, make full system upgrade via Sparky Upgrade gui tool or a text based tool:

sparky-upgrade

or via apt:

sudo apt update
sudo apt full-upgrade

New rolling iso images can be downloaded from the download/rolling page.

 

Sparky 2020.02.1

Sparky 2020.02.1 “Po Tolo” of the (semi-)rolling line is out. It is based on the testing branch of Debian “Bullseye”.

This is a minor update, which temporary fixes a problem of installing Sparky via Calamares with kpmcore 4.

Changes between Sparky 2020.02 and 2020.02.1:
• system upgraded from Debian testing repos as of February 13, 2020
• kpmcore downgraded to version 3.3.0
• Calamares installer rebuild using libkpmcore7 3.3.0

No system reinstallation is required, simply keep Sparky up to date.

New rolling iso images can be downloaded from the download/rolling page.

Sparky 2020.02

Sparky 2020.02 “Po Tolo” of the (semi-)rolling line is out. It is based on the testing branch of Debian “Bullseye”.

Changes:
* system upgraded from Debian testing “Bullseye” repos as of February 9, 2020
* Calamares installer 3.2.18
* Linux kernel 5.4.13 as default (5.5.2 & 5.6-rc1 in Sparky unstable repos)
* Firefox 72.0.2
* Thunderbird 68.4.2
* LibreOffice 6.4.0
* VLC 3.0.8
* Exaile 4.0.2, etc.
* added the new Sparky public key

System reinstallation is not required, install the new Sparky public key as follows:

wget -O - https://repo.sparkylinux.org/sparky.gpg.key | sudo apt-key add -

and make full system upgrade:

sudo apt update
sudo apt full-upgrade

New rolling iso images can be downloaded from the download/rolling page.

Known issues:
* Calamares installer failed if you install Sparky in full auto mode with full disk encryption and a swap partiton; it works fine without a swap partition;

Sparky 5.3

There are new live/install iso images of SparkyLinux 5.3 “Nibiru” available to download.
Sparky 5 follows rolling release model and is based on Debian testing “Buster”.

Sparky 5.3 provides fully featured operating system with lightweight desktops: LXQt, MATE and Xfce.

Sparky MinimalGUI (Openbox) and MinimalCLI (text mode) lets you install the base system with a desktop of your choice and a minimal set of applications, via the Sparky Advanced Installer.

Changes:
– full system upgrade from Debian testing repos as of March 7, 2018
– Linux kernel 4.15.4 as default (4.15.8-sparky is available in Sparky ‘unstable’ repo)
– the default system installer Calamares updated up to version 3.1.12
– added packages to support btrfs & xfs file systems
– cleaning out old files configs
– added new tool for cleaning your system from old files and configs: bleachbit
– missing language package installer (a part of APTus) has gotten gnome, kde & qt language package installtion option
– gdebi has been removed; locale stored debs can be installed via APTus-> Install-> Install package
– cli edition has been re-configured; it uses sudo as default after installing it on a hard drive as well
– many small fixes and improvements

No system reinstallation is required, simply make full system upgrade:
sudo apt-get update
sudo apt-get dist-upgrade

If any problem, run:
sudo dpkg --configure -a
sudo apt-get install -f

New iso images of the rolling edition can be downloaded from download/rolling page.

Known issues:
– possible problem with unmounting the live system squashfs if running inside of a virtual machine – ignore, shot the live system down, remove the live media and run your machine normally.

Sparky 5.2

There are new live/install iso images of SparkyLinux 5.2 “Nibiru” available to download.
Sparky 5 follows rolling release model and is based on Debian testing “Buster”.

Sparky 5.2 provides fully featured operating system with lightweight desktops: Xfce, MATE and LXQt.
Sparky 5.2 MinimalGUI (Openbox) and MinimalCLI (text mode) lets you install the base system with a desktop of your choice and a minimal set of applications, via the Sparky Advanced Installer.

Important !
Sparky based on Debian testing is not a stable edition; can make problems sometimes and can need individual fixing. If you prefer much stable operating system – Sparky 4.x of the stable line will be better choice.

Changes of all editions:
– full system upgrade from Debian testing repos as of December 17, 2017
– Linux kernel 4.14.2 from Debian Sid repos (4.14.8-sparky is available in Sparky ‘unstable’ repo)
– Calamares 3.1.10 as the default system installer
– the full disk encryption option has been activated in the Calamares, so Sparky can be installed on an encrypted disk now
– added 8 new wallpapers of Polish nature to ‘sparky-artwork-nature’ package
– added symlink of ‘sparkylinux-installer’ to ‘sparky-installer’ (Advanced Installer), and ‘spb’ shortcut to ‘sparkybackup’ command (backup tool)

Changes in Xfce edition:
– due to abnormal CPU usage of the ‘xfce4-pulseaudo-plugin’ (with Sparky 5 icon set), the plugin has been replaced by ‘pasystray’

Changes in MinimalGUI edition:
– PCManFM file manager replaced by Thunar
– external USB disks are mounted automatically now

No system reinstallation is required, simply make full system upgrade:
sudo apt-get update
sudo apt-get dist-upgrade

If any problem, run:
sudo dpkg --configure -a
sudo apt-get install -f

New iso images of the rolling edition can be downloaded from the download/rolling page.

Known issues:
– possible problem with unmounting the live system’s squashfs if running inside of a virtual machine (tested in VirtualBox only) – ignore it, shot the live system down, remove the live media and run your machine normally.

Merry Christmas to all Sparkers
from Aneta i Paweł

 

Advertising